nav *{vertical-align:middle;}
#nav_select{background-color:#FFC53A;display:table-cell;}
#nav_menu{background-color:#FFC53A;display:table-cell;padding:5px 0;width:100%;}
#top_menu{height:36px;overflow:hidden;text-align:center;}
#top_menu li{display:inline-table;margin:4px 8px;padding:2px;}
#top_menu li a{color:black;font-size:22px;}
.select_class{background-color:#FFC53A;color:black;font-size:22px;height:36px;line-height:32px;padding-left:10px;width:200px;}
.select_class option{background-color:white;font-size:18px;padding:4px;}
.select_sub_class{display:none;}

.container {
    max-width: 1600px;
    margin: 0 auto;
    background: white;
    padding: 10px;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}
.container h1 {
    text-align: center;
    color: #333;
	padding: 10px;
}
.container .cart-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.container .cart-details {
    flex: 2;
    margin-right: 20px;
    min-width: 300px; 
}
.container .qty-btn {
    background-color: #ffd200;
    border-radius:4px;
    color: #000000;
    border: none;
    padding: 5px;
    cursor: pointer;
    min-width:25px;
    text-align:center;
}
.container .qty-btn:hover {
    background-color: #000000;
    color: #FFFFFF;
}
.container .input-text.qty {
    width: 32px;
    text-align: center;
}
table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
}
th, td, .msg-container a {
    font-size:1.3rem;
    padding: 5px;
    border-bottom: 1px solid #ddd;
}
td a, .msg-container a {
    color:black;
    font-size:1.26rem;
}
th {
    background-color: #f8f8f8;
    text-align:center;
}
.container img {
    max-width: 100px;
    height: auto;
}
.summary {
    min-width: 370px;
    background: #f8f8f8;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.1);
}
.summary-table {
    width: 100%;
}
.summary-table td {
    padding: 10px;
}
.checkout, .checkout-container button {
    padding: 6px;
    background-color: #ffd200;
    color: #000000;
    border-radius: 4px;
    cursor: pointer;
    min-width:25px;
}
.checkout:hover, .checkout-container button:hover {
    background-color: #000000;
	color: #FFFFFF;
}
.cart-details-image{
    padding:5px 0;
}
.cart-details-price, .precio-nowrap{
    white-space:nowrap;
}
/* -----------------------------------------------------------------------------------*/
.checkout-container {
    display: flex;
    justify-content: space-between;
    max-width: 1600px;
    margin: auto;
    flex-wrap: wrap;
    padding: 20px;
}
.checkout-container .column  {
    background: white;
    padding: 20px;
    margin: 10px;
    flex: 1;
    min-width: 200px;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}
.checkout-container h2 {
    margin-bottom: 15px;
}
.checkout-container .form-row {
    grid-column: span 1;
}
.checkout-container .form-facturacion {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}
.checkout-container label {
    display: block;
    margin: 10px 0 5px;
}
.checkout-container input[type="text"], .checkout-container input[type="email"], .checkout-container select {
    width: 100%;
    padding: 8px;
    margin-bottom: 10px;
    border: 1px solid #383838;
    border-radius: 4px;
}
.checkout-container .detalle-pago {
    margin-top: 20px;
}
.checkout-container .envio-option, .producto {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
}
.checkout-container .envio-option {
    align-items: center;
}
.checkout-container .envio .method-envio {
    margin-bottom: 20px;
	border-bottom:1px solid black;
}
.checkout-container .envio-option input[type="radio"], .checkout-container input[type="radio"] {
    margin-right: 10px;
}
.checkout-container .precio {
    font-weight: bold;
}
.total-productos, .pago .detalle-pago  {
    font-weight: bold; /* Hacer el total de productos más destacado */
    margin-bottom: 10px; /* Espacio debajo del total de productos */
}
#frmVisaNet #opcion-metodo-pago, #frmVisaNet .start-js-btn, #frmVisaNetPago {
    display: none;
}
button:disabled{
    opacity: 0.5;
    pointer-events: none;
}
/* -------------------------------LINEA DE PEDIDO----------------------------------------------------*/
.timeline-container {
    width: 100%;
    text-align: center;
    background-color: #f4f4f4;
    display: flex;
    justify-content: center;
    min-height: 250px;
}
.timeline {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    width: 100%;
    max-width: 1200px;
}
.timeline-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    flex: 1;
}
.timeline-item:not(:last-child)::after {
    content: '';
    position: absolute;
    top: 35%;
    left: 70%;
    width: 60%;
    height: 2px;
    transform: translateY(-50%);
    background-color: #000;
}
.timeline-icon {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    margin-bottom: 10px;
    border: 2px solid #000;
}
.timeline-icon img {
    width: 100%; 
    height: 100%;
    object-fit: cover; 
}
.timeline-content {
    width: 100%;
}
.timeline-content h3 {
    margin-bottom: 5px;
    color: #333;
    font-size: 16px;
}
.timeline-icon.inactive {
    border: 2px solid #cccacc !important;
}
.timeline-item.inactive:not(:last-child)::after {
    background-color: #cccacc !important;
}
/* -----------------------------------------------------------------------------------*/
.overlayCheckout {
	position: fixed;
	left: 0;top: 0;
	z-index: 1000;
	/* background: rgba(0, 0, 0, 0.2); */
	background: rgb(0 0 0 / 40%);
	display: none;
	width: 100%;
	height: 100%;
	overflow-x: hidden;
	overflow-y: auto;
	overflow-style: scrollbar;
}

@media (max-width: 576px) {
    .cart-details-price{
        display:none;
    }
    .container img {
        max-width:50px;
    }
    
    .timeline-container {
        width: 100%;
        padding: 10px;
    }
    .timeline {
        flex-direction: column;
        justify-content: center;
    }
    .timeline-item:not(:last-child)::after{
        display: none;
    }
    .timeline-item {
        margin-bottom: 30px;
    }
}
@media (max-width: 768px) {
    .checkout-container {
        flex-direction: column;
    }
	.checkout-container .facturacion, .checkout-container .envio, .pago {
		flex: 1 1 100%;
	}
	.checkout-container .form-facturacion {
		grid-template-columns: 1fr;
	}
    .cart-container {
        /* flex-direction: column; */
        align-items: stretch; 
    }
    .cart-details, .summary {
        margin-right: 0;
        margin-bottom: 20px;
    }
    .container img {
        max-width: 80px;
    }
}